<?php
session_start(); 
require_once('../conexion.php');
require_once('../include/sesiones.php');
if (isset($_POST['ord_id'])){ $ord_id=$_POST['ord_id'];}                        
if (isset($_POST['art_id'])){ $art_id=$_POST['art_id'];}                        
if (isset($_POST['art_referencia'])){ $art_referencia=$_POST['art_referencia'];}
if (isset($_POST['cantidad'])){ $cantidad=$_POST['cantidad'];}
if (isset($_POST['precio_venta'])){ $precio_venta=$_POST['precio_venta'];}
if ($_POST['art_iva']>0){$art_iva=$_POST['art_iva'];} else { $art_iva='0';}
if ($_POST['descuento']>0){ $descuento=$_POST['descuento']; } else { $descuento='0';}
if (isset($_POST['nombre'])){ $nombre=$_POST['nombre'];}


if (!empty($art_referencia) and !empty($cantidad) and !empty($precio_venta))
{
    $sqll=mysqli_query($con,"SELECT ordt_art_id FROM orden_detalle WHERE ordt_art_id='$art_id' and ordt_tipo='detallado' and orden_servicios_ord_id='$ord_id'") ;
    if($roww=mysqli_fetch_array($sqll))
    { 
        $can7=mysqli_query($con,"SELECT * FROM orden_detalle WHERE ordt_art_id='$art_id' and ordt_tipo='detallado' and orden_servicios_ord_id='$ord_id'") or die(mysqli_error($con));  
        while($dato=mysqli_fetch_array($can7))
        {
            $ordt_art_id=$dato['ordt_art_id'];            
            $c=$dato['ordt_cantidad'];
            $suma=$c+$cantidad;
        }
        $registros=mysqli_query($con,"UPDATE orden_detalle Set ordt_cantidad='$suma',ordt_precio='$precio_venta' Where ordt_art_id='$art_id' and ordt_tipo='detallado' and orden_servicios_ord_id='$ord_id'") or die(mysqli_error($con));
    }
    else
    {   
        $sql=mysqli_query($con,"INSERT INTO orden_detalle (art_art_id,ordt_art_id,ordt_referencia,ordt_nombre,ordt_cantidad,ordt_iva,ordt_desc,ordt_precio,ordt_tipo,fact,orden_servicios_ord_id) 
        VALUES ('0','$art_id','$art_referencia','$nombre','$cantidad','$art_iva','$descuento','$precio_venta','detallado','si','$ord_id')") or die(mysqli_error($con));
    }
}
?>